Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class Build

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.Build

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class Build

extends Object

3.0.0+

Java class for Build complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="Build">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="sourceDirectory" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="scriptSourceDirectory" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="testSourceDirectory" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="outputDirectory" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="testOutputDirectory" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="extensions" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="extension" type="{http://maven.apache.org/POM/4.0.0}Extension" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="defaultGoal" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="resources" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="resource" type="{http://maven.apache.org/POM/4.0.0}Resource" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="testResources" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="testResource" type="{http://maven.apache.org/POM/4.0.0}Resource" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="directory" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="finalName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="filters" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="filter" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="pluginManagement" type="{http://maven.apache.org/POM/4.0.0}PluginManagement" minOccurs="0"/>
             <element name="plugins" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="plugin" type="{http://maven.apache.org/POM/4.0.0}Plugin" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `Build.Extensions` Java class for anonymous complex type.
`static class` | `Build.Filters` Java class for anonymous complex type.
`static class` | `Build.Plugins` Java class for anonymous complex type.
`static class` | `Build.Resources` Java class for anonymous complex type.
`static class` | `Build.TestResources` Java class for anonymous complex type.

Field Summary
`protected String` | `defaultGoal`
`protected String` | `directory`
`protected Build.Extensions` | `extensions`
`protected Build.Filters` | `filters`
`protected String` | `finalName`
`protected String` | `outputDirectory`
`protected PluginManagement` | `pluginManagement`
`protected Build.Plugins` | `plugins`
`protected Build.Resources` | `resources`
`protected String` | `scriptSourceDirectory`
`protected String` | `sourceDirectory`
`protected String` | `testOutputDirectory`
`protected Build.TestResources` | `testResources`
`protected String` | `testSourceDirectory`

Constructor Summary
`Build()`

Method Summary
`String` | `getDefaultGoal()` Gets the value of the defaultGoal property.
`String` | `getDirectory()` Gets the value of the directory property.
`Build.Extensions` | `getExtensions()` Gets the value of the extensions property.
`Build.Filters` | `getFilters()` Gets the value of the filters property.
`String` | `getFinalName()` Gets the value of the finalName property.
`String` | `getOutputDirectory()` Gets the value of the outputDirectory property.
`PluginManagement` | `getPluginManagement()` Gets the value of the pluginManagement property.
`Build.Plugins` | `getPlugins()` Gets the value of the plugins property.
`Build.Resources` | `getResources()` Gets the value of the resources property.
`String` | `getScriptSourceDirectory()` Gets the value of the scriptSourceDirectory property.
`String` | `getSourceDirectory()` Gets the value of the sourceDirectory property.
`String` | `getTestOutputDirectory()` Gets the value of the testOutputDirectory property.
`Build.TestResources` | `getTestResources()` Gets the value of the testResources property.
`String` | `getTestSourceDirectory()` Gets the value of the testSourceDirectory property.
`void` | `setDefaultGoal(String value)` Sets the value of the defaultGoal property.
`void` | `setDirectory(String value)` Sets the value of the directory property.
`void` | `setExtensions(Build.Extensions value)` Sets the value of the extensions property.
`void` | `setFilters(Build.Filters value)` Sets the value of the filters property.
`void` | `setFinalName(String value)` Sets the value of the finalName property.
`void` | `setOutputDirectory(String value)` Sets the value of the outputDirectory property.
`void` | `setPluginManagement(PluginManagement value)` Sets the value of the pluginManagement property.
`void` | `setPlugins(Build.Plugins value)` Sets the value of the plugins property.
`void` | `setResources(Build.Resources value)` Sets the value of the resources property.
`void` | `setScriptSourceDirectory(String value)` Sets the value of the scriptSourceDirectory property.
`void` | `setSourceDirectory(String value)` Sets the value of the sourceDirectory property.
`void` | `setTestOutputDirectory(String value)` Sets the value of the testOutputDirectory property.
`void` | `setTestResources(Build.TestResources value)` Sets the value of the testResources property.
`void` | `setTestSourceDirectory(String value)` Sets the value of the testSourceDirectory property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sourceDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String sourceDirectory

### scriptSourceDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String scriptSourceDirectory

### testSourceDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String testSourceDirectory

### outputDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String outputDirectory

### testOutputDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String testOutputDirectory

### extensions

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Build.Extensions extensions

### defaultGoal

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String defaultGoal

### resources

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Build.Resources resources

### testResources

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Build.TestResources testResources

### directory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String directory

### finalName

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String finalName

### filters

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Build.Filters filters

### pluginManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected PluginManagement pluginManagement

### plugins

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected Build.Plugins plugins

Constructor Detail

### Build

    public Build()

Method Detail

### getSourceDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getSourceDirectory()

  Gets the value of the sourceDirectory property.

  Returns:
    possible object is `String`

### setSourceDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setSourceDirectory(String value)

  Sets the value of the sourceDirectory property.

  Parameters:
    `value` - allowed object is `String`

### getScriptSourceDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getScriptSourceDirectory()

  Gets the value of the scriptSourceDirectory property.

  Returns:
    possible object is `String`

### setScriptSourceDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setScriptSourceDirectory(String value)

  Sets the value of the scriptSourceDirectory property.

  Parameters:
    `value` - allowed object is `String`

### getTestSourceDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getTestSourceDirectory()

  Gets the value of the testSourceDirectory property.

  Returns:
    possible object is `String`

### setTestSourceDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setTestSourceDirectory(String value)

  Sets the value of the testSourceDirectory property.

  Parameters:
    `value` - allowed object is `String`

### getOutputDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getOutputDirectory()

  Gets the value of the outputDirectory property.

  Returns:
    possible object is `String`

### setOutputDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setOutputDirectory(String value)

  Sets the value of the outputDirectory property.

  Parameters:
    `value` - allowed object is `String`

### getTestOutputDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getTestOutputDirectory()

  Gets the value of the testOutputDirectory property.

  Returns:
    possible object is `String`

### setTestOutputDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setTestOutputDirectory(String value)

  Sets the value of the testOutputDirectory property.

  Parameters:
    `value` - allowed object is `String`

### getExtensions

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Build.Extensions getExtensions()

  Gets the value of the extensions property.

  Returns:
    possible object is `Build.Extensions`

### setExtensions

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setExtensions(Build.Extensions value)

  Sets the value of the extensions property.

  Parameters:
    `value` - allowed object is `Build.Extensions`

### getDefaultGoal

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getDefaultGoal()

  Gets the value of the defaultGoal property.

  Returns:
    possible object is `String`

### setDefaultGoal

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDefaultGoal(String value)

  Sets the value of the defaultGoal property.

  Parameters:
    `value` - allowed object is `String`

### getResources

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Build.Resources getResources()

  Gets the value of the resources property.

  Returns:
    possible object is `Build.Resources`

### setResources

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setResources(Build.Resources value)

  Sets the value of the resources property.

  Parameters:
    `value` - allowed object is `Build.Resources`

### getTestResources

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Build.TestResources getTestResources()

  Gets the value of the testResources property.

  Returns:
    possible object is `Build.TestResources`

### setTestResources

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setTestResources(Build.TestResources value)

  Sets the value of the testResources property.

  Parameters:
    `value` - allowed object is `Build.TestResources`

### getDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getDirectory()

  Gets the value of the directory property.

  Returns:
    possible object is `String`

### setDirectory

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setDirectory(String value)

  Sets the value of the directory property.

  Parameters:
    `value` - allowed object is `String`

### getFinalName

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getFinalName()

  Gets the value of the finalName property.

  Returns:
    possible object is `String`

### setFinalName

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setFinalName(String value)

  Sets the value of the finalName property.

  Parameters:
    `value` - allowed object is `String`

### getFilters

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Build.Filters getFilters()

  Gets the value of the filters property.

  Returns:
    possible object is `Build.Filters`

### setFilters

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setFilters(Build.Filters value)

  Sets the value of the filters property.

  Parameters:
    `value` - allowed object is `Build.Filters`

### getPluginManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public PluginManagement getPluginManagement()

  Gets the value of the pluginManagement property.

  Returns:
    possible object is `PluginManagement`

### setPluginManagement

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setPluginManagement(PluginManagement value)

  Sets the value of the pluginManagement property.

  Parameters:
    `value` - allowed object is `PluginManagement`

### getPlugins

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public Build.Plugins getPlugins()

  Gets the value of the plugins property.

  Returns:
    possible object is `Build.Plugins`

### setPlugins

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setPlugins(Build.Plugins value)

  Sets the value of the plugins property.

  Parameters:
    `value` - allowed object is `Build.Plugins`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.